A library to access shlink.io based URL shortener.

Build Status

Usage

Add the following dependency to the pubspec.yaml

Stable

dependencies:
  shlink: ^0.7.0

Development

dependencies:
  shlink: ^0.8.0

NOTE: This version is not yet available on pub.dev

How to use this lib:

import 'package:shlink/shlink.dart';

void main() async {
  Shlink shlink = Shlink('https://example.com', 'my-api-key');

  ShortUrl short = await shlink.create(CreateShortURL.simple('https://github.com/Nexific/dart_shlink'));
  print(short);
}

Libraries